export function inArray(arr, element) {
    if (arr.indexOf(element) != -1) {
        return true;
    }
    return false;
}
export function isRequired(field) {
    if (field.rules) {
        if (field.rules.length > 0) {
            return true;
        }
    }
    return false;
}
export function isFieldDuplicated(fields) {
    let seen = {};
    return fields.some(function (currentObject) {
        if (seen.hasOwnProperty(currentObject.name) ||
            seen.hasOwnProperty(currentObject.attributes.id)) {
            // Current name or id is already seen
            return true;
        }
        // Current name and id is being seen for the first time
        return (seen[currentObject.name] = false), (seen[currentObject.attributes.id] = false);
    });
}
export function clickOutside(node) {
    const handleClick = (event) => {
        if (node && !node.contains(event.target) && !event.defaultPrevented) {
            node.dispatchEvent(new CustomEvent('click_outside', node));
        }
    };
    document.addEventListener('click', handleClick, true);
    return {
        destroy() {
            document.removeEventListener('click', handleClick, true);
        }
    };
}
